Gtk_Tooltips(3)

NAME - Gtk_Tooltips

HEADER REQUIRED
#include <gtk--/tooltips.h&gt;>

BASE CLASSES
Gtk_Data(3)

PROPERTIES

tip_window
    Type: Gtk_Widget*

active_tips_data
    Type: GtkTooltipsData*

tips_data_list
    Type: GList*

gc
    Type: GdkGC*

foreground
    Type: GdkColor*

background
    Type: GdkColor*

delay
    Type: guint:30

enabled
    Type: guint:1

timer_tag
    Type: gint

     .IP

PUBLIC MEMBER INDEX
    Gtk_Tooltips();
    Gtk_Tooltips(GtkTooltips *castitem);
    virtual  ~Gtk_Tooltips();
    void  enable();
    void  disable();
    void  set_delay(gint delay);
    void  set_tip(const Gtk_Widget &widget, const _gtk_string &tip_text, const _gtk_string &tip_private = 0);
    void  set_colors(const Gdk_Color &background,const Gdk_Color &foreground);
    static GtkTooltipsData*  data_get(Gtk_Widget &widget);
    void  force_window();
    GtkTooltips*  gtkobj();
    const GtkTooltips*  gtkobj() const;
    static bool  isGtkTooltips(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkTooltips  BaseObjectType;
    typedef GtkTooltipsClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  tooltips_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS